> For the complete documentation index, see [llms.txt](https://docs.patchwallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.patchwallet.com/api/overview.md).

# Overview

Welcome to the Patch Wallet Developer Documentation.

This documentation provides the API references and information to use all Patch APIs.

## Quick Start

One API call to find a Web3 wallet address for anyone on the internet. 🌎

### 🔍 Get wallet address for a user\_id

To return a wallet address for **\******any*****\*** Twitter user, email, phone number, or other user ID, use:

1. [ENS Resolver](/api/ens-resolver-usr.id.md)
   1. ```
      const address = await provider.resolveName(`elonmusk.twitter.usr.id`);
      ```
2. [Resolver API](/api/resolver-api.md)
   1. ```powershell
      curl --location 'https://paymagicapi.com/v1/resolver' \
      --header 'Content-Type: text/plain' \
      --data-raw '{
          "userIds": "twitter:elonmusk,email:ur@mom69.com,tel:19198675309,github:torvalds"
      }'
      ```

[View examples on Postman](https://www.postman.com/paymagic/workspace/public-patch-wallet-api)

#### User IDs

Patch wallets function around the concept of a User ID, which gets you a unique account address.

A User ID is a unique provider and username ( like `twitter:elonmusk`, `tel:19198675309`, `email:test@gmail.com`) and returns a wallet address for them on a given chain (`matic:0xabc...123`).&#x20;

![](/files/mNZRZzYgofHDR5s3VjdI)

**Example userIds:**

* `twitter:elonmusk`
* `github:torvalds`
* `tel:19198675309`
* `email:your@mom.com`

### ✍️ Send a transaction or sign a message

To send a transaction or sign a message for a given Patch wallet, use the [Kernel Account API](/api/kernel-account-api.md).

You'll need to [authenticate](/api/app-authentication.md) first and then can send transactions like:

```powershell
curl --location 'https://paymagicapi.com/v1/kernel/tx' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{access_token}}' \
--data '{
    "userId": "twitter:elonmusk",
    "chain": "matic",
    "to": ["0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174"],
    "value": ["0"],
    "data": ["0xa9059cbb000000000000000000000000a969E3D8b4A376a59B15C70f29Deb08fbFab07810000000000000000000000000000000000000000000000000000000000002710"],
    "auth": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhdXRoZW50aWNhdGVkIiwiZXhwIjoxNjc5NDYwODQ2LCJzdWIiOiI4YTFlODg2YS0xNmRjLTRlM2ItODg5MS04MWFiMjk3M2U5NjIiLCJlbWFpbCI6Imdlc2FnYTM0NzlAa2F1ZGF0LmNvbSIsInBob25lIjoiIiwiYXBwX21ldGFkYXRhIjp7InByb3ZpZGVyIjoiZW1haWwiLCJwcm92aWRlcnMiOlsiZW1haWwiXX0sInVzZXJfbWV0YWRhdGEiOnt9LCJyb2xlIjoiYXV0aGVudGljYXRlZCIsImFhbCI6ImFhbDEiLCJhbXIiOlt7Im1ldGhvZCI6Im90cCIsInRpbWVzdGFtcCI6MTY3OTQ1NzI0Nn1dLCJzZXNzaW9uX2lkIjoiMGRhMmQ4YmUtY2FiYS00MGRhLWE5ZTctOTliMjNlZmE4ZWExIn0.lfjj6YbJoCRSXRgW9vPg6Un0ck0NiBH6S97_gXUGKUE"
}'
```

### API Hostname

This API is maintained by [Paymagic Labs](https://paymagic.xyz/) and used at the `paymagicapi.com` hostname.

```bash
https://paymagicapi.com
```

If you have questions, please reach out on [Discord](https://discord.gg/EAFPKSRyth).

### Resources <a href="#authentication-and-rate-limiting" id="authentication-and-rate-limiting"></a>

<table data-view="cards"><thead><tr><th data-type="content-ref"></th><th></th></tr></thead><tbody><tr><td><a href="/pages/jdPyjuP4z0vRt0VKEtF1">/pages/jdPyjuP4z0vRt0VKEtF1</a></td><td>Create an API access token and authenticate your API requests.</td></tr><tr><td><a href="/pages/gVWwYXHJkruikFVlLUWm">/pages/gVWwYXHJkruikFVlLUWm</a></td><td>Learn about the API's error codes and how to handle them.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.patchwallet.com/api/overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
